
package org.tempuri;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebService(name = "WSSoap", targetNamespace = "http://tempuri.org/")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface WSSoap {


    /**
     * 
     * @param a
     * @param b
     * @return
     *     returns double
     */
    @WebMethod(action = "http://tempuri.org/somar")
    @WebResult(name = "somarResult", targetNamespace = "http://tempuri.org/")
    @RequestWrapper(localName = "somar", targetNamespace = "http://tempuri.org/", className = "org.tempuri.Somar")
    @ResponseWrapper(localName = "somarResponse", targetNamespace = "http://tempuri.org/", className = "org.tempuri.SomarResponse")
    public double somar(
        @WebParam(name = "a", targetNamespace = "http://tempuri.org/")
        double a,
        @WebParam(name = "b", targetNamespace = "http://tempuri.org/")
        double b);

}
